# Class VcfPathSegment

java.lang.Object
picard.vcf.processor.VcfPathSegment

public abstract class VcfPathSegment extends Object
Describes a segment of a particular VCF file.

## Constructor Summary

Constructors
Constructor
Description
`VcfPathSegment()`

## Method Summary

Modifier and Type
Method
Description
`abstract String`
`contig()`
`htsjdk.samtools.util.Interval`
`correspondingInterval()`
`abstract int`
`start()`
`abstract int`
`stop()`
`String`
`toString()`
`abstract PicardHtsPath`
`vcf()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### VcfPathSegment

public VcfPathSegment()

## Method Details

### start

public abstract int start()

### stop

public abstract int stop()

### contig

public abstract String contig()

### vcf

public abstract PicardHtsPath vcf()

### correspondingInterval

public htsjdk.samtools.util.Interval correspondingInterval()

### toString

public String toString()

Overrides:
  `toString` in class `Object`